Package twisted :: Package internet :: Module unix :: Class Connector

[frames | no frames]

## Class Connector

    Ephemeral --+
                |
    BaseConnector --+
                    |
                   Connector

Method Summary
| `__init__(self, address, factory, timeout, reactor, checkPID)`
| `_makeTransport(self)`
| `getDestination(self)`
Inherited from BaseConnector
| ``buildProtocol`(self, addr)`
| ``cancelTimeout`(self)`
| ``connect`(self)` Start connection to remote server.
| ``connectionFailed`(self, reason)`
| ``connectionLost`(self, reason)`
| ``disconnect`(self)` Disconnect whatever our state is.
| ``stopConnecting`(self)` Stop attempting to connect.
Inherited from Ephemeral
| ``__getstate__`(self)`
| ``__setstate__`(self, state)`

Class Variable Summary
Inherited from BaseConnector
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.ICo...`
`int` | `factoryStarted` = 0
`NoneType` | `timeoutID` = None

Generated by Epydoc 2.0 on Sat May 15 20:07:58 2004 | http://epydoc.sf.net